package cn.axzo.workflow.core.service;

import cn.axzo.workflow.common.model.dto.BpmnFormRelationCreateDTO;
import cn.axzo.workflow.common.model.dto.BpmnFormRelationSearchDTO;
import cn.axzo.workflow.common.model.response.BpmPageResult;
import cn.axzo.workflow.core.repository.entity.ExtAxBpmnFormRelation;

import java.util.List;

/**
 * ext_ax_bpmn_form_relation
 *
 * @author wangli
 * @since 2024-11-04 15:34
 */
public interface ExtAxBpmnFormRelationService {
    Long insert(BpmnFormRelationCreateDTO dto);

    ExtAxBpmnFormRelation queryByBpmnDefinitionId(String bpmnDefinitionId);

    /**
     * 用于查询能被用于表单发起的审批
     * @param dto
     * @return
     */
     List<ExtAxBpmnFormRelation> keyQuery(BpmnFormRelationSearchDTO dto);

    List<ExtAxBpmnFormRelation> genericQuery(BpmnFormRelationSearchDTO dto);

    BpmPageResult<ExtAxBpmnFormRelation> genericPageQuery(BpmnFormRelationSearchDTO dto);

}
